Page MenuHomePhabricator

build: use $() for automake variables, not ${}
ClosedPublic

Authored by zmike on Jul 19 2018, 5:15 PM.

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 6989
zmike created this revision.Jul 19 2018, 5:15 PM

Why? For consistency or do they have different purposes in automake? I honestly do not know and your commit log says nothing about it.

stefan_schmidt accepted this revision.Jul 27 2018, 12:34 AM

I educated myself, both can be used and are basically the same: https://www.gnu.org/software/make/manual/html_node/Reference.html#Reference
"To substitute a variable’s value, write a dollar sign followed by the name of the variable in parentheses or braces: either ‘$(foo)’ or ‘${foo}’ is a valid reference to the variable foo."

Which makes this a consistency cleanup. Would be nice if you could add such a remark to the commit message. Fine to be applied for me.

This revision is now accepted and ready to land.Jul 27 2018, 12:34 AM
zmike added a comment.Jul 27 2018, 5:17 AM

Weird, I remember adding a note about this at some point. I guess it got lost during a rebase.

zmike updated this revision to Diff 15940.Jul 27 2018, 5:34 AM
zmike edited the summary of this revision. (Show Details)

add some detail to commit log

stefan_schmidt accepted this revision.Jul 30 2018, 8:20 AM
This revision was automatically updated to reflect the committed changes.